/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-06-20 19:08:55 UTC)
 * on 2013-06-25 at 21:57:01 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.adsense.model;

/**
 * Model definition for AdCode.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the AdSense Management API. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AdCode extends com.google.api.client.json.GenericJson {

  /**
   * The ad code snippet.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String adCode;

  /**
   * Kind this is, in this case adsense#adCode.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * The ad code snippet.
   * @return value or {@code null} for none
   */
  public java.lang.String getAdCode() {
    return adCode;
  }

  /**
   * The ad code snippet.
   * @param adCode adCode or {@code null} for none
   */
  public AdCode setAdCode(java.lang.String adCode) {
    this.adCode = adCode;
    return this;
  }

  /**
   * Kind this is, in this case adsense#adCode.
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * Kind this is, in this case adsense#adCode.
   * @param kind kind or {@code null} for none
   */
  public AdCode setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  @Override
  public AdCode set(String fieldName, Object value) {
    return (AdCode) super.set(fieldName, value);
  }

  @Override
  public AdCode clone() {
    return (AdCode) super.clone();
  }

}
